$(function(){
  $('.tb-wrap').each(function(i, elem){

      var len = $(elem).find('.tb-item').length;
      //表の項目が一つの場合
      if(len <= 1){
         $(elem).find('.del').hide();
      }
    });

});
$('.add').on('click',function(){
  var base = $(this).parent().parent();
  base.find('.del').show();
  base.clone(true).insertAfter(base);
  // 元のボタンエリアを非表示にする
  base.find('.ad-area').hide();

});
$('.del').on('click',function(){
  var base = $(this).parent().parent();
  // ボタンの表示非表示切り替え
  if(base.parent().find('.ad-area').length>=3){
    base.prev().find('.ad-area').show();
  }else{
    base.prev().find('.ad-area').show();
    base.prev().find('.del').hide();
  }
  // エリアの削除
  base.remove();
});
// 閉じるボタン押下時イベント
$('.close-window').on('click',function(){
  window.close();
});
